Table of Contents

What's New


POST /Modules/AMPC/RegularAssets/Move

Move Regular Asset.

What's Changed


GET /Modules/AMPC/InPlaceAssets/{id}
Return Type:

Changed response : 200 OK

Success response - body contains In-Place Asset

  • Changed content type : application/vnd.onkey.entity+json

    • Changed property properties (object)

      • Added property assetTypeNearestRegularAssetTypeId (integer)

      • Added property assetTypeNearestRegularAssetTypeCode (string)

      • Added property assetTypeNearestRegularAssetTypeDescription (string)

      • Added property assetTypeNearestRegularAssetTypeLastConfirmedOn (string)

      • Added property assetTypeRecordType (string)

GET /Modules/AMPC/InPlaceAssets/Batch/{ids}
Return Type:

Changed response : 200 OK

Success response - body contains In-Place Asset collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of In-Place Asset entities

      Changed items (object):

      • Changed property properties (object)

        • Added property assetTypeNearestRegularAssetTypeId (integer)

        • Added property assetTypeNearestRegularAssetTypeCode (string)

        • Added property assetTypeNearestRegularAssetTypeDescription (string)

        • Added property assetTypeNearestRegularAssetTypeLastConfirmedOn (string)

        • Added property assetTypeRecordType (string)

POST /Modules/AMPC/PlaceholderAssets
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    • Deleted property assetTypeId (integer)
POST /Modules/AMPC/PlaceholderAssets/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    • Deleted property assetTypeId (integer)
GET /Modules/AMPC/RegularAssetTasks/{id}/SuppressedTasks
Return Type:

Changed response : 200 OK

Success response - body contains pageable Regular Asset Task Suppressed Task collection

  • Changed content type : application/vnd.onkey.entitycollectionpage+json

    • Changed property items (array)

      Pageable collection of entities

      Changed items (object):

      • Changed property properties (object)

        • Added property additionalNumberOfCyclesSuppressed (number)

        • Added property suppressionPercentage (number)

        • Added property suppressedDaysBefore (integer)

        • Added property suppressedDaysAfter (integer)